%define upstream_name    Test-Dependencies
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Ensure that your Makefile.PL specifies all module dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::PerlReq)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(PerlReq::Utils)
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(YAML)
BuildArch: noarch


%description
Makes sure that all of the modules that are 'use'd are listed in the
Makefile.PL as dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.120.0-8pclos2017
- rebuild against updates

